Index: trunk/ippToPsps/test/fulltest.sh
===================================================================
--- trunk/ippToPsps/test/fulltest.sh	(revision 38835)
+++ trunk/ippToPsps/test/fulltest.sh	(revision 38836)
@@ -157,5 +157,6 @@
   # XXX this command will blow away an existing database!!
   mysql -h localhost -u dvo -pdvo -e "create database if not exists ipptopsps_test" || exit 3
-  mysql -h localhost -u dvo -pdvo ipptopsps_test < $IPPTOPSPS_DATA/ippToPspsDbSchema.sql || exit 2
+  mysql -h localhost -u dvo -pdvo ipptopsps_test < $IPPTOPSPS_DATA/ippToPspsDbSchema.sql || exit 3
+  echo " ---- init ipptopsps_test: done ----"
 endif
 
@@ -211,6 +212,6 @@
   echo "2000-01-01 00:00:00.0  " >> initbatch.dat # trange_start
   echo "2020-01-01 00:00:00.0  " >> initbatch.dat # trange_end
-  cat initbatch.dat | ippjython queue.py -test edit
-  if ($status) exit
+  ippjython queue.py -test edit < initbatch.dat
+  if ($status) exit 1
 
   echo ""
@@ -219,5 +220,5 @@
   rm -rf $OUTDIR/IN
   ippjython loader.py -test initbatch init -simtest < /dev/null
-  if ($status) exit
+  if ($status) exit 1
 endif
 
@@ -259,6 +260,6 @@
   echo "2000-01-01 00:00:00.0 " >> cambatch.dat # trange_start
   echo "2020-01-01 00:00:00.0 " >> cambatch.dat # trange_end
-  cat cambatch.dat | ippjython queue.py -test edit -simtest
-  if ($status) exit
+  ippjython queue.py -test edit -simtest < cambatch.dat
+  if ($status) exit 1
 endif
 
@@ -312,5 +313,5 @@
   echo "2000-01-01 00:00:00.0 " >> stackbatch.dat # trange_start
   echo "2020-01-01 00:00:00.0 " >> stackbatch.dat # trange_end
-  cat stackbatch.dat | ippjython queue.py -test edit -simtest
+  ippjython queue.py -test edit -simtest < stackbatch.dat
   if ($status) exit
 endif
@@ -368,5 +369,5 @@
   echo "2000-01-01 00:00:00.0 " >> objectbatch.dat # trange_start
   echo "2020-01-01 00:00:00.0 " >> objectbatch.dat # trange_end
-  cat objectbatch.dat | ippjython queue.py -test edit once -simtest
+  ippjython queue.py -test edit once -simtest < objectbatch.dat
   if ($status) exit
 endif
Index: trunk/ippToPsps/test/mkgpc1data.dvo
===================================================================
--- trunk/ippToPsps/test/mkgpc1data.dvo	(revision 38835)
+++ trunk/ippToPsps/test/mkgpc1data.dvo	(revision 38836)
@@ -13,6 +13,21 @@
 
 # imagedata describes the full fake exposure set.  the fields are
-# exp_id stack_id raw_file exp_file offset
 list imagedata
+# exp_id filebase         M_off date       time
+   1 	 $OUTDIR/test.01  0.000 2010/01/01 01:00:00
+   2 	 $OUTDIR/test.02 -0.025 2010/01/01 02:00:00
+   3 	 $OUTDIR/test.03  0.025 2010/01/01 03:00:00
+   4 	 $OUTDIR/test.04  0.010 2010/01/01 04:00:00
+   5 	 $OUTDIR/test.05  0.000 2010/01/01 05:00:00
+   6 	 $OUTDIR/test.06 -0.025 2010/01/01 06:00:00
+   7 	 $OUTDIR/test.07  0.025 2010/01/01 07:00:00
+   8 	 $OUTDIR/test.08  0.010 2010/01/01 08:00:00
+   9 	 $OUTDIR/test.09  0.000 2010/01/01 09:00:00
+  10 	 $OUTDIR/test.10 -0.025 2010/01/01 10:00:00
+  11 	 $OUTDIR/test.11  0.025 2010/01/01 11:00:00
+  12 	 $OUTDIR/test.12  0.010 2010/01/01 12:00:00
+end
+
+list warpdata
  1 1 $OUTDIR/test.01  0.000 2010/01/01 01:00:00
  2 1 $OUTDIR/test.02 -0.025 2010/01/01 02:00:00
@@ -30,15 +45,12 @@
 
 list stackdata
- 1 $OUTDIR/stack.01 0.010
- 2 $OUTDIR/stack.02 0.020
- 3 $OUTDIR/stack.03 0.030
+# stk_id filename         M_off
+  1      $OUTDIR/stack.01 0.010
+  2      $OUTDIR/stack.02 0.020
+  3      $OUTDIR/stack.03 0.030
 end
  
 macro mkfull
   init.db
-  # mkcatdir.cam PS1_V3 PS1_V4
-  # mkcatdir.stk PS1_V3 PS1_V4
-  # mkcatdir.cam PS1_V4 PS1_V4
-  # mkcatdir.stk PS1_V4 PS1_V4
   mkcatdir.cam PS1_V5 PS1_V5
   mkcatdir.stk PS1_V5 PS1_V5
@@ -92,17 +104,21 @@
     list word -split $imagedata:$i
     $ID = $word:0
-    $rawfile = $word:2\.txt
-    $cmffile = $word:2\.smf
-    $offset = $word:3
-
-    sprintf myDATE "%s" $word:4
-    sprintf myTIME "%s" $word:5
+    $rawfile = $word:1\.txt
+    $cmffile = $word:1\.smf
+    $offset = $word:2
+
+    sprintf myDATE "%s" $word:3
+    sprintf myTIME "%s" $word:4
     echo ctimes -abs $myDATE,$myTIME -var mjd
     ctimes -abs $myDATE,$myTIME -var mjd
 
-    # XXX for a simple test of ippToPsps, i need to generate smf files with some correspondence to gpc1 exposure smfs
+    # XXX for a simple test of ippToPsps, i need to generate smf files
+    # with some correspondence to gpc1 exposure smfs
+
     # this means: 
     # 1) a PHU with some basic header data
     # 2) add extensions with EXTNAME of XYnn
+
+    # NOTE: mkcmf does not populate a PHU, so we have to fake it
 
     # create an empty header and populate with the desired keywords
@@ -150,58 +166,4 @@
     exec mkcmf -photcode SIMTEST.r.Chip -no-noise -append $rawfile $cmffile -date $myDATE -time $myTIME -radec $RA $DEC -type $1 -imageID $ID -sourceID 0
 
-    # keywords which are read from image extension
-    # MSKY_MN
-    # MSKY_SIG
-    # FSATUR
-    # FLIMIT
-    # CERROR
-    # ZPT_OBS
-    # NASTRO
-    # NASTRO
-    # CNAXIS1
-    # CNAXIS2
-    # FWHM_MAJ
-    # FWHM_MIN
-    # ANGLE
-    # IQ_FW1
-    # IQ_FW2
-    # IQ_FW1
-    # IQ_FW2
-    # APMIFIT
-    # DAPMIFIT
-    # DETECTOR
-    # IMAGEID
-    # DETREND.MASK
-    # DETREND.DARK
-    # DETREND.FLAT
-    # ZPT_OBS
-    # CTYPE1
-    # CTYPE2
-    # CRVAL1
-    # CRVAL2
-    # CRPIX1
-    # CRPIX2
-    # CDELT1
-    # CDELT2
-    # PC001001
-    # PC001002
-    # PC002001
-    # PC002002
-    # NPLYTERM
-    # PCA1X3Y0
-    # PCA1X2Y1
-    # PCA1X1Y2
-    # PCA1X0Y3
-    # PCA1X2Y0
-    # PCA1X1Y1
-    # PCA1X0Y2
-    # PCA2X3Y0
-    # PCA2X2Y1
-    # PCA2X1Y2
-    # PCA2X0Y3
-    # PCA2X2Y0
-    # PCA2X1Y1
-    # PCA2X0Y2
-
     if ($i == 3)
       echo "NOTE: not adding image $i to DVO : this simulates images with poor astrometry"
@@ -210,5 +172,5 @@
 
     if (0 && ($i == 5))
-      echo "NOTE: adding image $i 2x to DVO, but without detections : this simulates a failure in LAP dvo"
+      echo "NOTE: adding image $i 2x to DVO, but without detections : this simulates a failure in dvo contruction"
 
       echo addstar -D SKY_DEPTH 4 -D CATDIR $catdir -D CAMERA simtest $cmffile -D CATFORMAT $2 -quick-airmass -image -dup-images
@@ -217,5 +179,5 @@
 
     if (0 && ($i == 7))
-      echo "NOTE: adding detections from image $i 2x to DVO, but with wrong photcode and duplicate image ID : this simulates a failure in LAP dvo"
+      echo "NOTE: adding detections from image $i 2x to DVO, but with wrong photcode and duplicate image ID : this simulates a failure in dvo construction"
       echo addstar -D SKY_DEPTH 4 -D CATDIR $catdir -D CAMERA simtest $cmffile -D CATFORMAT $2 -quick-airmass -dup-images -image-id-override 7 -photcode 2MASS_J
       exec addstar -D SKY_DEPTH 4 -D CATDIR $catdir -D CAMERA simtest $cmffile -D CATFORMAT $2 -quick-airmass -dup-images -image-id-override 7 -photcode 2MASS_J
